[arch-commits] Commit in iptables/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Fri Jun 11 07:03:11 EDT 2010


    Date: Friday, June 11, 2010 @ 07:03:10
  Author: ronald
Revision: 82461

upgpkg: iptables 1.4.8-1
update to latest version

Modified:
  iptables/trunk/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-11 10:57:36 UTC (rev 82460)
+++ PKGBUILD	2010-06-11 11:03:10 UTC (rev 82461)
@@ -3,7 +3,7 @@
 # Contributor: Thomas Baechler <thomas at archlinux.org>
 
 pkgname=iptables
-pkgver=1.4.7
+pkgver=1.4.8
 pkgrel=1
 pkgdesc="A Linux kernel packet control tool"
 arch=('i686' 'x86_64')
@@ -14,12 +14,12 @@
 source=(http://www.iptables.org/projects/iptables/files/${pkgname}-${pkgver}.tar.bz2 \
         iptables ip6tables empty.rules simple_firewall.rules iptables.conf.d)
 backup=(etc/conf.d/iptables)
-md5sums=('645941dd1f9e0ec1f74c61918d70d52f'
-         '89401d6f0cf1de46a455b7be6720a58b'
-         '6e0e88c2ed0c3715d1409ee3258a0046'
-         '14186bbafe21bb0638c0cb8e0903c829'
-         'e53a83bb4d8ac8b7eadd7bd58294751d'
-         'a9020ee7586417b87c026d435b4be50d')
+sha1sums=('53d756938e6dc748364ca1e1952f28dd9daad6a4'
+          'd7540316581bb66c5594885882a14ba394e95098'
+          '70d70113e3a23f0fe99404c5536507a887a4ca5c'
+          '83b3363878e3660ce23b2ad325b53cbd6c796ecf'
+          '9907f9e815592837abc7fa3264a401567b7606ab'
+          '1c52444ffbecc09f56bb325db49e924dd32f9213')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
@@ -34,8 +34,13 @@
 	--enable-devel --enable-libipq
 
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1 
-  
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  make DESTDIR=${pkgdir} install || return 1
+
   install -D -m755 ../iptables ${pkgdir}/etc/rc.d/iptables
   install -D -m755 ../ip6tables ${pkgdir}/etc/rc.d/ip6tables
   install -D -m644 ../empty.rules ${pkgdir}/etc/iptables/empty.rules



More information about the arch-commits mailing list